Subject: bug#17463: 24.3.90; invoking c-mode always loads `cl'

From: Glenn Morris <[email-masked]>
Date: Sat, 14 Jun 2014 19:54:54 -0400

The only things cc-langs uses from cl are delete-duplicates (perhaps
delete-dups would do) and mapcan (perhaps apply+mapcar would do).
I simply replaced them by their cl- versions.

Figuring out why cc-langs is loaded at runtime is beyond me.
I'll leave this aspect open as a cc-mode bug of normal priority.